Bug 1020661 - slapd daemon fails to start with segmentation fault on s390x < with openldap 2.4.35 / 2.4.36 >
slapd daemon fails to start with segmentation fault on s390x < with openldap ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
19
s390x All
unspecified Severity medium
: ---
: ---
Assigned To: Jan Synacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 02:22 EDT by IBM Bug Proxy
Modified: 2013-11-10 01:13 EST (History)
6 users (show)

See Also:
Fixed In Version: openldap-2.4.36-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-07 23:37:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to overcome slapd segmentation fault in s390x (1.47 KB, text/plain)
2013-10-18 02:23 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 98797 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-10-18 02:22:48 EDT
== Comment: #0 - Sumanth K <sumantk2@in.ibm.com> - 2013-10-17 02:34:20 ==
slapd daemon hits segmentation fault during start while running openldap test.

patch openldap-security-pie.patch was causing segmentation fault in s390x architecture. S390x arch requires -fPIE option instead of -pie . 

From man page of gcc it is specified as follow:
-pie options assumes GOT entries and small data are within a 12-bit range from the 
GOT base address; with -fPIC or -fPIE, GOT offsets are computed with 32 bits.
The -pie option was causing segmentation fault in s390x.

Attached patch fixes the issue.
Comment 1 IBM Bug Proxy 2013-10-18 02:23:05 EDT
Created attachment 813612 [details]
Patch to overcome slapd segmentation fault in s390x
Comment 2 IBM Bug Proxy 2013-10-18 10:21:16 EDT
------- Comment From sumantk2@in.ibm.com 2013-10-18 14:15 EDT-------
Hi kamalesh,

while having a look ...

-f option in the link phase seems to be different and hence i think it doesnt make it Position independent.

i have misunderstood the option of  gcc with ld...However the following patch openldap-security-pie.patch is causing problem...Will try to fix it..
Comment 3 IBM Bug Proxy 2013-10-18 10:31:19 EDT
------- Comment From sumantk2@in.ibm.com 2013-10-18 14:28 EDT-------
One way to overcome this might be  to export CFLAGS="-fPIC" in the openldap.spec if it is s390x....
Comment 4 Jan Synacek 2013-10-21 07:19:00 EDT
Pushed (to master only):
http://pkgs.fedoraproject.org/cgit/openldap.git/commit/?id=4f8940365cb6519fc8b5a785cc617ce808e11d89

You can find a srpm at http://koji.fedoraproject.org/koji/buildinfo?buildID=472772.

I tested this on an s390x machine and all seems fine. I'll leave this in master for a while, unless I have a positive response from the reporter.
Comment 5 IBM Bug Proxy 2013-10-22 01:00:36 EDT
------- Comment From sumantk2@in.ibm.com 2013-10-22 04:54 EDT-------
Will check it and update the result
Comment 6 IBM Bug Proxy 2013-10-23 01:10:40 EDT
------- Comment From sumantk2@in.ibm.com 2013-10-23 05:09 EDT-------
ran mdb/bdb/hdb test <rpmbuild/BUILD/openldap-2.4.36/openldap-2.4.36/tests community testcases>  and didnt cause any segmentation fault in s390x .
Comment 7 Fedora Update System 2013-10-23 02:14:25 EDT
openldap-2.4.36-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openldap-2.4.36-4.fc20
Comment 8 Fedora Update System 2013-10-23 02:46:22 EDT
openldap-2.4.36-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openldap-2.4.36-4.fc19
Comment 9 Fedora Update System 2013-10-23 13:31:39 EDT
Package openldap-2.4.36-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openldap-2.4.36-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19761/openldap-2.4.36-4.fc20
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-11-07 23:37:39 EST
openldap-2.4.36-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-11-10 01:13:22 EST
openldap-2.4.36-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.